import { NO_ERRORS_SCHEMA } from '@angular/core';
import { async, ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';

import { SharedModule } from '@app/shared/shared.module';
import { CoreModule } from '@app/core/core.module';

import { TermContainerComponent } from './term-container.component';
import { Term } from '@app/core/models/term';

describe('TermContainerComponent', () => {
	let termComponent: TermContainerComponent;
	let fixture: ComponentFixture<TermContainerComponent>;

	beforeEach(async(() => {
		TestBed.configureTestingModule({
			imports: [RouterTestingModule, CoreModule, SharedModule],
			declarations: [TermContainerComponent],
			schemas: [NO_ERRORS_SCHEMA]
		})
		.compileComponents();
	}));

	beforeEach(() => {
		fixture = TestBed.createComponent(TermContainerComponent);
		termComponent = fixture.componentInstance;
		const term: Term = {
			academicYear: '2018-19',
			beginDate: 1545631200000,
			endDate: 1557723599999,
			instructionBeginDate: 1548136800000,
			instructionEndDate: 1556945999999,
			longDescription: 'Spring 2018-2019',
			pastTerm: false,
			shortDescription: '2019 Sprng',
			termCode: '1194'
		};
		termComponent.term = term;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(termComponent).toBeTruthy();
	});
});
